Uploaded image for project: 'Lucene - Core'
  1. Lucene - Core
  2. LUCENE-6572

Highlighter depends on analyzers-common

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 8.0
    • Component/s: modules/highlighter
    • Labels:
      None
    • Lucene Fields:
      New

      Description

      This is a huge WTF, just for "LimitTokenOffsetFilter" which is only useful for highlighting.

      Adding all these intermodule dependencies makes things too hard to use.

      This is a 5.3 release blocker.

        Attachments

        1. LUCENE-6572.patch
          4 kB
          Simon Willnauer
        2. LUCENE-6572.patch
          6 kB
          Adrien Grand

          Activity

            People

            • Assignee:
              simonw Simon Willnauer
              Reporter:
              rcmuir Robert Muir
            • Votes:
              0 Vote for this issue
              Watchers:
              7 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: